Skip to content
Get started

Download table data

GET/v1/structured-sheets/{structured_sheet_id}/tables/{table_id}/download

Download the table data in the specified format.

Available formats:

  • parquet: Apache Parquet columnar format (recommended for data analysis)
  • csv: Comma-separated values (compatible with any spreadsheet application)
Path ParametersExpand Collapse
structured_sheet_id: string

The unique identifier of the structured sheet conversion.

table_id: string

The unique identifier of the table.

Query ParametersExpand Collapse
format: "parquet" or "csv"

The format to download the table data in.

One of the following:
"parquet"
"csv"

Download table data

curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID/tables/$TABLE_ID/download \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
Returns Examples